Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class TransactionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--bea.jolt.JoltException
                              |
                              +--bea.jolt.TransactionException
                                    |
                                    +--bea.jolt.pool.TransactionException

public class TransactionException
extends bea.jolt.TransactionException

This exception is thrown when a transaction cannot be started, committed, or aborted. The BEA TUXEDO error number associated with the failure is contained in this class. Refer to the BEA Jolt User Guide for information about `bea.jolt.TransactionException`

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class bea.jolt.JoltException
`TPEABORT, TPEBADDESC, TPEBLOCK, TPEDIAGNOSTIC, TPEEVENT, TPEHAZARD, TPEHEURISTIC, TPEINVAL, TPEIO, TPEITYPE, TPEJOLT, TPELIMIT, TPEMATCH, TPEMIB, TPENOENT, TPEOS, TPEOTYPE, TPEPERM, TPEPROTO, TPERELEASE, TPERMERR, TPESVCERR, TPESVCFAIL, TPESYSTEM, TPETIME, TPETRAN, TPGOTSIG`

Constructor Summary
`protected` | `TransactionException(int errno, java.lang.String msg, java.lang.Exception e)` Creates a `TransactionException` object with a BEA TUXEDO error number.
`protected` | `TransactionException(java.lang.String msg, java.lang.Exception e)` Creates a `TransactionException` object without a BEA TUXEDO error number.

Methods inherited from class bea.jolt.JoltException
`getErrno, getObject, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionException

    protected TransactionException(java.lang.String msg,
                                   java.lang.Exception e)

  Creates a `TransactionException` object without a BEA TUXEDO error number.

  Parameters:
    `msg` - Diagnostic message or null
    `e` - null or a nested exception that causes this exception

### TransactionException

    protected TransactionException(int errno,
                                   java.lang.String msg,
                                   java.lang.Exception e)

  Creates a `TransactionException` object with a BEA TUXEDO error number.

  Parameters:
    `errno` - BEA TUXEDO error number
    `msg` - Diagnostic message or null
    `e` - null or a nested exception that causes this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD